using UnityEngine;
using System.Collections;

public class SoundManager : MonoBehaviour
{
    private static SoundManager s_instance;

    [SerializeField]
    private AudioSource m_oneShot;

    [SerializeField]
    private AudioClip[] m_ghostHitted;

    public static void PlayGhostHitted()
    {
        s_instance.m_oneShot.PlayOneShot(s_instance.m_ghostHitted[Random.Range(0, s_instance.m_ghostHitted.Length)]);
    }

    public static void PlaySFX(AudioClip _clip)
    {
        s_instance.m_oneShot.PlayOneShot(_clip);
    }

    // Use this for initialization
    protected void Start()
    {
        s_instance = this;
    }
}
